require "activesupport"

# Rescues exception when a participant/user auth token is invalid
module Rescue
  extend ActiveSupport::Concern

  included do
    rescue_from ActionController::InvalidAuthenticityToken,
                with: :invalid_auth_token
  end

  private

  def invalid_auth_token
    redirect_to main_app.root_path
  end
end
